gnutls_openpgp_keyring_check_id(3)

NAME
gnutls_openpgp_keyring_check_id - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_keyring_check_id(gnutls_openpgp_keyring_t ring, const gnutls_openpgp_keyid_t keyid, unsigned int flags);

ARGUMENTS

gnutls_openpgp_keyring_t ring
    holds the keyring to check against

const gnutls_openpgp_keyid_t keyid
    will hold the keyid to check for.

unsigned int flags
    unused (should be 0)

DESCRIPTION
Check if a given key ID exists in the keyring.

RETURNS
GNUTLS_E_SUCCESS on success (if keyid exists) and a negative error code on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/